%global __brp_check_rpaths %{nil}
%global packname  hierfstat
%global packver   0.5-11
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5.11
Release:          1%{?dist}%{?buildtag}
Summary:          Estimation and Tests of Hierarchical F-Statistics

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-ade4 
BuildRequires:    R-CRAN-adegenet 
BuildRequires:    R-CRAN-gaston 
BuildRequires:    R-CRAN-gtools 
BuildRequires:    R-methods 
Requires:         R-CRAN-ade4 
Requires:         R-CRAN-adegenet 
Requires:         R-CRAN-gaston 
Requires:         R-CRAN-gtools 
Requires:         R-methods 

%description
Estimates hierarchical F-statistics from haploid or diploid genetic data
with any numbers of levels in the hierarchy, following the algorithm of
Yang (Evolution(1998), 52:950). Tests via randomisations the significance
of each F and variance components, using the likelihood-ratio statistics G
(Goudet et al. (1996)
<https://academic.oup.com/genetics/article/144/4/1933/6017091>). Estimates
genetic diversity statistics for haploid and diploid genetic datasets in
various formats, including inbreeding and coancestry coefficients, and
population specific F-statistics following Weir and Goudet (2017)
<https://academic.oup.com/genetics/article/206/4/2085/6072590>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
